Bug 1785699 (CVE-2019-12418)

Summary: CVE-2019-12418 tomcat: local privilege escalation
Product: [Other] Security Response Reporter: Guilherme de Almeida Suckevicz <gsuckevi>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: aileenc, akoufoud, alazarot, alee, almorale, anstephe, chazlett, coolsvap, csutherl, drieden, etirelli, extras-orphan, ggaughan, gzaronik, hhorak, ibek, ivan.afonichev, janstey, java-sig-commits, jclere, jochrist, jorton, jstastny, jwon, krathod, krzysztof.daniel, kverlaen, lgao, mbabacek, mizdebsk, mnovotny, myarboro, paradhya, pjindal, pladd, rfreire, rrajasek, rsynek, sdaley, weli
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: tomcat 7.0.98, tomcat 8.5.48, tomcat 9.0.29 Doc Type: If docs needed, set a value
Doc Text:
A privilege escalation flaw was found in Tomcat when the JMX Remote Lifecycle Listener was enabled. A local attacker without access to the Tomcat process or configuration files could be able to manipulate the RMI registry to perform a man-in-the-middle attack. The attacker could then capture user names and passwords used to access the JMX interface and gain complete control over the Tomcat instance.
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-03-17 16:31:48 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1812422, 1785700, 1785701, 1810125, 1810126, 1810127    
Bug Blocks: 1785716    

Description Guilherme de Almeida Suckevicz 2019-12-20 17:57:49 UTC
When Tomcat is configured with the JMX Remote Lifecycle Listener, a local attacker without access to the Tomcat process or configuration files is able to manipulate the RMI registry to perform a man-in-the-middle attack to capture user names and passwords used to access the JMX interface. The attacker can then use these credentials to access the JMX interface and gain complete control over the Tomcat instance.

Reference:
https://tomcat.apache.org/security-7.html
https://tomcat.apache.org/security-8.html
http://tomcat.apache.org/security-9.html

Upstream commits:
https://github.com/apache/tomcat/commit/bef3f40
https://github.com/apache/tomcat/commit/a91d7db
https://github.com/apache/tomcat/commit/1fc9f58

Comment 1 Guilherme de Almeida Suckevicz 2019-12-20 17:58:17 UTC
Created tomcat tracking bugs for this issue:

Affects: epel-all [bug 1785700]
Affects: fedora-all [bug 1785701]

Comment 2 Paramvir jindal 2019-12-23 08:25:33 UTC
This vulnerability is out of security support scope for the following products:
 * Red Hat JBoss BPM Suite 6
 * Red Hat JBoss BRMS 6

Please refer to https://access.redhat.com/support/policy/updates/jboss_notes for more details.

Comment 12 Mauro Matteo Cascella 2020-03-04 13:22:31 UTC
Statement:

This flaw did not affect the versions of tomcat as shipped with Red Hat Enterprise Linux 5, as they did not include JMX Remote Lifecycle Listener, which was introduced in a later version of the package.

Comment 19 Mauro Matteo Cascella 2020-03-05 09:05:42 UTC
Mitigation:

Disable JMX Remote if monitoring is only needed locally and there is no need to monitor Tomcat remotely. If JMX Remote is required and cannot be disabled, then use the built-in remote JMX facilities provided by the JVM.
Please note that JMX Remote Lifecycle Listener is now deprecated and may be removed from both Tomcat 7 [1] and Tomcat 9 [2] after 2020-12-31.

[1] https://tomcat.apache.org/tomcat-7.0-doc/config/listeners.html#Deprecated_Implementations
[2] https://tomcat.apache.org/tomcat-9.0-doc/config/listeners.html#Deprecated_Implementations

Comment 21 errata-xmlrpc 2020-03-17 13:10:53 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Web Server

Via RHSA-2020:0860 https://access.redhat.com/errata/RHSA-2020:0860

Comment 22 errata-xmlrpc 2020-03-17 13:12:35 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Web Server 3 for RHEL 7
  Red Hat JBoss Web Server 3 for RHEL 6

Via RHSA-2020:0861 https://access.redhat.com/errata/RHSA-2020:0861

Comment 23 Product Security DevOps Team 2020-03-17 16:31:48 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-12418